summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-22.1.0.ebuild40
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Manifest.gzbin269041 -> 269031 bytes
-rw-r--r--dev-python/aiohappyeyeballs/Manifest2
-rw-r--r--dev-python/aiohappyeyeballs/aiohappyeyeballs-2.3.1.ebuild2
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.34.15.ebuild64
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.34.15.ebuild68
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.92.6.ebuild90
-rw-r--r--dev-python/ipython/Manifest2
-rw-r--r--dev-python/ipython/ipython-8.20.0.ebuild173
-rw-r--r--dev-python/jupyter-core/Manifest2
-rw-r--r--dev-python/jupyter-core/jupyter-core-5.7.1.ebuild40
15 files changed, 489 insertions, 2 deletions
diff --git a/dev-python/Faker/Faker-22.1.0.ebuild b/dev-python/Faker/Faker-22.1.0.ebuild
new file mode 100644
index 000000000000..4a85c701f3c8
--- /dev/null
+++ b/dev-python/Faker/Faker-22.1.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 001b48f1cb6a..99eb6df4b87b 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,5 +1,7 @@
DIST Faker-21.0.0.tar.gz 1701697 BLAKE2B 9f08603101f24b9e245dfa726f38b0e9ee00f208d8f4b06fbc31daa405c5b02779aaf36e2e2177cf8f50f5a63e27f0a63bec166fb3be07269d5a7acae6535ebf SHA512 13cd146ef4c59f1b7318c95be1b637c986d089301d14c46259e6bf3a56f14033f1c3e4a0c813b4b168154be01158b2eee194b204c6eb2930fe5946f357a7ebcb
DIST Faker-22.0.0.tar.gz 1702044 BLAKE2B 17bb5fe42f3d754358a1cf21a23a6917571bdeaff5967b94b3dcc62e08b274f9647ab19b9fa252ccf0f6f821da93ad474c2dddce3c07813048cd910b96d6c68a SHA512 b1539ca7b37d14dcbb06a4dbc198dfacaf4f0d7189f8e8a8986b42ac44780fa1b78c5b02d6f7a289c68a190a83e439f76a92587ee582105c4001246a39d046ce
+DIST Faker-22.1.0.tar.gz 1702277 BLAKE2B cb9b3b7adb8a771d986ca4460ca4b4884887d1e15502d14aa4da0409e926fd7f2c50d2207ee0794e9e80648fda35ff220738d82023c61a76bb93f4c073d87e2d SHA512 f92c8e9b2b768362f15e0dff10a160e3969e521853485ff9a01c6b281de980e9284a618c3fb660b20c442d32e221c14683d541095cd2e6be37673a1c4303f458
EBUILD Faker-21.0.0.ebuild 858 BLAKE2B c897d7c9aba4094966e10ddb2526384ebb9da903eb4cf20a780e4813fdcb7057a719c973e056d0681337a3074e92a8c5ebdd83954f25a63acac21b90e75262b1 SHA512 75c7cb78d3b004f648892f4d97625d19d7614af4f48c8450ad6bec3812fb9dc5a450ff32e77e695fc5ae86930ba6511c60a9f4ceb11b07e535543366ae94c7bb
EBUILD Faker-22.0.0.ebuild 865 BLAKE2B 7f21a16c439e5ef84f884fa413568fd8c8f359e464d20c60aefd9469f0819313de0d1e7cfd82278eefba6847906d4a4be63143eb5dbed28ae8dd68967fb8d111 SHA512 50d513a18c5f4c1304d1e5e83eba0103cb44e0fb76b1b1922163d74f9c084ff43ccec5010d5bb3e97111c19d7a1a78a51d7868798cddbbc03f864dfabd4c7fd4
+EBUILD Faker-22.1.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
MISC metadata.xml 498 BLAKE2B c9b7885dc7d34f2263068624a6b07ac6f1ec8078cc11abb6137612ba57edffefc48dae2708284aa83ecc941ebb2d3b8a87a143648e404a0683e75bb6c078f4e2 SHA512 0b385bbbfbb026803526e43c6c43965ff75f42d3ab133603708b187686aac29de508856e5e8ae7622a66b99032efa97f95c21625e10d074c858d8aff7446a312
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 380792e350b9..0f3c88556147 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/aiohappyeyeballs/Manifest b/dev-python/aiohappyeyeballs/Manifest
index a8a136ac485e..5e9ebd2a8f5e 100644
--- a/dev-python/aiohappyeyeballs/Manifest
+++ b/dev-python/aiohappyeyeballs/Manifest
@@ -1,3 +1,3 @@
DIST aiohappyeyeballs-2.3.1.gh.tar.gz 46348 BLAKE2B 6d20cd6db085b7d7bd0b2a18eec01dbd569eb64be7ae953eadcd07e161442637fee9ec63c3bb2253d11fea210d9ab6e8a130f9f036652a8965325db9fc30d3dd SHA512 c02a12a269e0733f653df9fedc150aea8ad061fb8b1f67e3519d6c2e8ea92f8ad3360b4eaacc0e55f51e81f57cc9c8aa82dbe0fcd9779dcd8151a3f944f28847
-EBUILD aiohappyeyeballs-2.3.1.ebuild 754 BLAKE2B 807e1d091777f22f37fdd68f1d7891253beb428b646a0ed9340babc6de43f4222fc1e70018df6ed2be391d01d80792fad517469f3ec4e358298a5c06b74a8c78 SHA512 133ff4616b02deba7eca98e526068cc8d70269b46af0a9390485f5bc12558e7f7d4999262cb05c65e9f0fa5664259c544c0b8d65315cb94161005e47e686a07d
+EBUILD aiohappyeyeballs-2.3.1.ebuild 761 BLAKE2B 351bf7750039a7e62e96939a8ec1ca895e82013242c1c03408dfd979015a6a06c6b8802868cb415294d5484bea308b18dbfd3760c490ffff29d03d06408db4d1 SHA512 004d9ead5f8d4d01e1e99ab6cd98c1715a1dfd169bf32baaca2ad902616e5dc2f8c18da2087a5c8b2540971455a5d224e3b9dbc0a0ef94f6cb3dfe1cb96e714e
MISC metadata.xml 387 BLAKE2B c739dc88d077c51dae10eb7aaa84091c6c7904a782ee3eabb12b6167c7e4ae8528b6464612f891eef5f12add728caa66fd30cd93c3b13e022cedae267c1e9f40 SHA512 65973b766dbcbd20b8c25e8e76c4d662bf5478d6c860f8cfd460be8795fbd141c58fed586a678506360af8ac013ec4c2292cc2e1092a5bbd8a3c54160adadb94
diff --git a/dev-python/aiohappyeyeballs/aiohappyeyeballs-2.3.1.ebuild b/dev-python/aiohappyeyeballs/aiohappyeyeballs-2.3.1.ebuild
index 44fe5e0d0c99..537dba5795dc 100644
--- a/dev-python/aiohappyeyeballs/aiohappyeyeballs-2.3.1.ebuild
+++ b/dev-python/aiohappyeyeballs/aiohappyeyeballs-2.3.1.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="PSF-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
BDEPEND="
test? (
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 808f37dea26e..5977a1aa9db8 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,8 +1,10 @@
DIST boto3-1.34.11.gh.tar.gz 760539 BLAKE2B 8ce756d33b604aed9d42bcccf60be467bd519f4c7a890592d9652fe3cd2851425f7a16afc7a194ccbda43a9859d0b9b683562ce1672eda9383119bc9de0dc0c9 SHA512 82b1920f1a5ad0e23364815a6b0552efceb7f49e17e585370917f63c1b74ea746eddc4f3d8c055d1eac7ca1cdbe5ac2bd304ce66e2ee12edf75ea2e261e88c56
DIST boto3-1.34.14.gh.tar.gz 762792 BLAKE2B 87857a6ff7e19f8438fe6b57978cdb3c8d22f8a68008fad4fcfdd40358b919a1c45f810bc45637da5971d20ce221cd8343440663d072666349e32c4df2be97a2 SHA512 8b651c5946394e159d6dd719337e4a5a60f708fa22ef26026bd85a18b3f34efa06f71282b9e9ea8c8ad4995e4bd6d0c13e4dddac75a51922fc30154ac0b87ecb
+DIST boto3-1.34.15.gh.tar.gz 763117 BLAKE2B 52172262ea046139e1e828ded5f47564523a4e32e290e994333b73fc003c61537b8db77480dc5f7a6a2b4d5c4428819d53e0b43337fb32b1e0ea27dd81c2819d SHA512 8f6f11553d4226c6fbf9e5642a99a9a3f17f55882b80a79b6e584f0848524da0af98bf5c0729820bb73102cbcb733433febe01a188b8fc29f0187b7e4dbfb2a6
DIST boto3-1.34.7.gh.tar.gz 759909 BLAKE2B 059228d7bd57ac34274437f77b3510dff6dca7d1293ffd6f7672b0fcc0acefffeeda2c5c2b4e19ef49bbffd4746dc226edfba52d57f5f8629516c9e830dbdd90 SHA512 43395937977ad3c860ede35d2adbb9575312ddab4972b8d258e41a7d6e86f3e6a74037dadb0f0e0f4f3d5ed715a66390041ac9c980bc8a3cfb727a44e252113e
EBUILD boto3-1.34.11.ebuild 1393 BLAKE2B e6e26eacfc0623a93e310b3e33f75520f912d0c3139a8a6f1dbf657664058bce520d90fb6bcffb601c58bf171a05b48abd0ecb5e64bf5d6953c00f1206691bef SHA512 ebdcc8800a6552fa25d586cf586040e2b3da9fd670ae8e346e558fff4941b68dc90c8cfa5ffd6dcbdbc956878793835b950d2dc2198a3ae619c3fed58b5d785a
EBUILD boto3-1.34.14.ebuild 1393 BLAKE2B fff93f537ee096dbf0b37ef3ed8ea98b68aebf9c593af34a76e0052903350931a328d07cebb9c2bec5d3f3b024a7d847890c5d7948f4bcd02819b4082bb9a854 SHA512 19dc82ff92fee67f70a85745728ebc96f6f7945bdc37af823f50ccd5db7184f1179adea84304d1a6311307a4e96be3d554f562f0eefc0042743f722b53af5215
+EBUILD boto3-1.34.15.ebuild 1393 BLAKE2B fff93f537ee096dbf0b37ef3ed8ea98b68aebf9c593af34a76e0052903350931a328d07cebb9c2bec5d3f3b024a7d847890c5d7948f4bcd02819b4082bb9a854 SHA512 19dc82ff92fee67f70a85745728ebc96f6f7945bdc37af823f50ccd5db7184f1179adea84304d1a6311307a4e96be3d554f562f0eefc0042743f722b53af5215
EBUILD boto3-1.34.7.ebuild 1386 BLAKE2B 8d99a5817d661c2385af4f226e75a26ae16399ccf74ebbc7b172ecc2c70745440de7238e42fea98267fea4c82904f9a0abddfcc234c952b588855295061f16b1 SHA512 7114f33fe34e4091695d425d4497c92586d9bde0314358b992458bfcec365ee5c8c2ca856fdb7447c8429fb841faff0d0f2ec171b1a825b5e678f037d79dbdca
EBUILD boto3-9999.ebuild 1588 BLAKE2B bfcf68e1a1dffa36c71f030ad8743b59c9170c34a425a7982ee81d1fb0df1c29fdecefa7b55f373557b735d60ab51d510ca398edd4045def5fffb6d4d4d9d579 SHA512 1bca684f585a51d8b58a594c71974b36b145912550f051d6d4c84ba28bce949ec10c112a6f7bfa8f60fa362d9126d9a830243ab36595754bef02f19e02161bb8
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.34.15.ebuild b/dev-python/boto3/boto3-1.34.15.ebuild
new file mode 100644
index 000000000000..037a85ad96ee
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.15.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index f65f3c0776fb..bd7cdf32fa83 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,8 +1,10 @@
DIST botocore-1.34.11.gh.tar.gz 12612317 BLAKE2B 8a8648dfb27fad0d0a52df37ce9d988ef3349b773d88bc752dd9d22866f3adb8dc6346128767df5523fb335a602d666be8a5758fdfbe27c221779a0c4ec23590 SHA512 4159f2794d98532dc5e94a91061165b1aa2f43c5a493604c6d3dec426b51d582359577fc62d0ac20044a8b94e196efacbbcfd436cc38390db9bbaf7b4eb3d16c
DIST botocore-1.34.14.gh.tar.gz 12617340 BLAKE2B c4aac6682ccb8951f4652477857d58221c4f0d8f1d154b7ecfa4e536f6bdb199e4be43ef63f0fce0843e95c01cfc0a479af8c7773a9717461afc04cd4bb27912 SHA512 44b7b0e96c815b033dc603892c3940869a37c76d0826812d5778b644ca785ff27f870f3ec54c7d87696bd57d2a38cc31c4b3e70f295fe9d588afc12e8f7a914e
+DIST botocore-1.34.15.gh.tar.gz 12619235 BLAKE2B 00e264f689946985207fa9dfc65ea1a1e90a7d41008a87bfe32c3c49542d4d26fa1a41f2a263fd395a32ef7eb7ae03846c1681325a61e8409a75c05a5eeccc67 SHA512 c2a137d45f05c355f912dcedcc690ec61cb1e3ff53e8fd5ccc055c49fd4b7acdafa0e88099bdad6eb8112fdcd1ab26b259efe409df340f885f9b7ca7d305d572
DIST botocore-1.34.7.gh.tar.gz 12606475 BLAKE2B 387ee7dfab43c44c39c7b0566b6ddcb2b666024b5b7bee2c996194988781c169e1e9462b36d09861d1c3ca899d263392f3d79129e7a2f2fc4bbfed402f5c7dd6 SHA512 3f162d4d028dd81da552e0117671971aa891bf8fab513730f40083660fa83c1f82bf1b52875cf9f7f11089ecdd79f084f3c8e76227aa826c1aac7e5735032450
EBUILD botocore-1.34.11.ebuild 1524 BLAKE2B 8a2471391e1a0e596e0b8d72ee09df50c3763a3d03db51169f45b1b571ba3df97eef93a43374b196ced5e1dc978bc2f3de52099675a6b19c1d5fe933922466b3 SHA512 bdde6ff5fcea64cad2e42bf6b2e8cb49f096ed5b17c321246651936878ff07347f4fea7805bb7083053aab2014c3e4a50fefcb727e89ccee3aa6a5860d71b249
EBUILD botocore-1.34.14.ebuild 1524 BLAKE2B 67dfe51e2af3b1cad0cfd2cffb979c3b5aa76f826bb002612f9a78142c9e8d3dd593b5c929aa1d1de1cd55d44dab3d839ef8a270948cda57738358c9fab07018 SHA512 a6f32a7367818ada29a39fd5fd4461cb7b859c8746ca4225f15a627ef7579bb4333de93a6e1854c2901fc8ba8d1ecb4f017d84cbe148be72bb242e63f25fb84f
+EBUILD botocore-1.34.15.ebuild 1524 BLAKE2B 67dfe51e2af3b1cad0cfd2cffb979c3b5aa76f826bb002612f9a78142c9e8d3dd593b5c929aa1d1de1cd55d44dab3d839ef8a270948cda57738358c9fab07018 SHA512 a6f32a7367818ada29a39fd5fd4461cb7b859c8746ca4225f15a627ef7579bb4333de93a6e1854c2901fc8ba8d1ecb4f017d84cbe148be72bb242e63f25fb84f
EBUILD botocore-1.34.7.ebuild 1517 BLAKE2B d03af69902c7785c2b5b4d74b2783c710f9c40b401e82847ecc2255420b64a4fbb91042dd07c1846c5da01d095f51faff6ecc0ec85c370fa9ad1ade4f6e1e283 SHA512 34e0b3a1dcdb3be35548bb1a6d1b5bd892a75ad9ef8727db516c295299dd65e3956483682ac2c2f869e755611ddae30a8efb62513726d259a386af4e733206da
EBUILD botocore-9999.ebuild 1599 BLAKE2B 8325845842cef976827216365bd3f88b7865bb4ce82764b121a42bb99d98952042223281fa66e6e31ec83e39c4fc585672fbab6426a7df79aa945df720d42a1b SHA512 ade15b4567ae00f08a0f5895d967ad3f37af15c24b3169e9319fd7d3c3a3316f34d989b225a928c8c72c2656e4c8f79d61e8b7ddd17e179adf7ff67bcbac6efb
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.34.15.ebuild b/dev-python/botocore/botocore-1.34.15.ebuild
new file mode 100644
index 000000000000..dcd34e4e67de
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.15.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x EPYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 3153515eb299..ebe521e4f0a1 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,5 +1,7 @@
DIST hypothesis-6.92.0.gh.tar.gz 9407699 BLAKE2B 7943aa958e135a954d4534b8992557a4ffd51941529cad6a8bb10b4ccd2e5c136159deaf11f822d96ecf60df536cff8b92756d902cd93de26df74ae10f73e14f SHA512 1fad215bd7ab69896d300ed39fd99a8a7145e6e21799429627b0d587939bfbe01d02fb7e1154a8b31f0b164ba9323b55b6ea36a268be20f1ef282d6b6f0d457a
DIST hypothesis-6.92.2.gh.tar.gz 9408586 BLAKE2B f6d873d16a337ceb5d78bc80622a08fb6856b5fdbd0c0c228bca13d340375b882416bf6ad4cfd08bb9959807ce1ac482ef5b4202792713c76a30dfff78fd4d4b SHA512 51bfd0b5d520fe84b4e682772888320d61bc4c52c6b4dda609f758336cc151bcf00714635e19230cdd1695209b6adf05cee349a82003e443dc5f52a7f105feb5
+DIST hypothesis-6.92.6.gh.tar.gz 9410707 BLAKE2B 337369c5044682b3404ba0492cdab838db53e2c081e668e41facb6c8b6aaf38cf55f20a64150f1249360b64f90f34b42002becca6d7a33245a0ac55dd0e34e27 SHA512 86822dea75326343946aaf036aa8b0aee7287bdfbe501cf5c532e9377957bb6ba7f63595b1aae383bb007099e3ca33bd1f3d2ed6d7d8722ceb86b9146502a07e
EBUILD hypothesis-6.92.0.ebuild 2461 BLAKE2B fa15e027fc0501aa061b5a9c35a4c54279552f8b16ff0a74835528d13cdf50258f673fcff6f53e8b49cdcf9d11eb54780e6c48acb3318e8729b3e76b776ae422 SHA512 a1c518afe1d9ec2aeee8e84ef370e320696d05b2bf87daa164327c86f8154d4dd7d4b5964451d64f4de24519541986c2e2e54a240a63a9dc188e5e9f35ce9264
EBUILD hypothesis-6.92.2.ebuild 2469 BLAKE2B 79c1aad30d28529c6c63f3279f7d86bee6a9a327c5ed447597b15456dee3f8de8af7bba45a376616e3460602ffb349206019731de6c44f3248fe568a1457a2dc SHA512 e4f204ef4113ffb64222031ccd954b450ddae44fd049c633e51082d030785f53928447c47ae7a167b3bc091f263caab90054e40cffe01d070a7b98060b973324
+EBUILD hypothesis-6.92.6.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
MISC metadata.xml 492 BLAKE2B c9e9bbd59af55d1f47e5b7a86933c02b47f832122d03eaca56bd3ec9476cf260d91d4fd2da5068845d4525b7cc9f702b515e8d6a0dffa7923f5898cfd44e12a1 SHA512 166b33d6ac887f52d54fb9d556102038c00650a597d2de1c3aad3f8b5e136e9b6b7db31f05f3379435e4c5f943156d5839d78fc95461af411037a3162ea6705e
diff --git a/dev-python/hypothesis/hypothesis-6.92.6.ebuild b/dev-python/hypothesis/hypothesis-6.92.6.ebuild
new file mode 100644
index 000000000000..f7f366381e4f
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.92.6.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -n "$(makeopts_jobs)" --dist=worksteal \
+ tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/ipython/Manifest b/dev-python/ipython/Manifest
index 14fc80ec028d..4c250d5d3b44 100644
--- a/dev-python/ipython/Manifest
+++ b/dev-python/ipython/Manifest
@@ -1,4 +1,6 @@
AUX 2.1.0-substitute-files.patch 1017 BLAKE2B 70577eb950a18345804a2a4b750bd233dc6a0b6bbdb524dfc66e0f4a7c69b0eeb2d35efb9d1845d567a11d1afa7881068b4757e42b9baf24dc01ba3026608a38 SHA512 fc4c9e12267ac5f04a2e16ad27334a093638538b8149ff380099fcbeb674a276ab9eb624a508010e37f82c05d5f7ab527a80e386b3e7b61c123ecb8effd9d542
DIST ipython-8.19.0.tar.gz 5487746 BLAKE2B 40ab2bc5349e429f3d7100cc1a35bac1cbb7c4052b151d877c1ea3e3e32d5b332d69b5969f6f81c1553edcd613bae9719b5cd1317f6e60d6a39a29d719ae13f6 SHA512 4d98a2d3d720578ab77cee567b021ca1e57c1ae2baa64d94acd3479c117998c8d8df7983f6d188a160f298fef6cab2ebabba15384c872496d619d9c6e06806f7
+DIST ipython-8.20.0.tar.gz 5488416 BLAKE2B 5894e0a8ccc2be0c5a41d29e0b824042b0e2f735333889dfc870852c7e8f10b9c3883762652f5a452758ce6466954a391bb57919bb07bfdd1159c94e07b8e9dc SHA512 c97077e52c2de7a833a648c03ecdf98e8d96c7e9c55fb6c923e940673b53494ab02adf756736ad8c773061e0c75aebeb8f918ee32851e5282f113089ce5c8b91
EBUILD ipython-8.19.0.ebuild 4665 BLAKE2B 101c97358f0defbd35c32a0c02105b641492557f33642ddc583bc51cf65a51bcc1b9f47132f68a219a93dc585b965cfe8cef1a8e883295cf123f3532e012456d SHA512 a5d686b49d98a4ed5c31e12951a69e8f483b3f2792436f940b821010c754c3dceb0002e705996bafee239b5dc3ecc8fb993b9fbc48c62d2697c0e9188d27a4ce
+EBUILD ipython-8.20.0.ebuild 4716 BLAKE2B eddef00b8dfa0d5d95112ba459e0e5614f8c957ce10ef315bf05b611e6ed25b7115b616de841e0047d8c906f7f8f49d05f29d0c0d2ba928aa9d8b954ccbfb682 SHA512 5379ae5bf046f43fdf2524ffd7d716d72b3bf68fa89b7267948cd65cb4359e4fd5f017a4bd8f0389cb064cc3d4780672d8b2ae680f12a9c5079bf336626090c2
MISC metadata.xml 2802 BLAKE2B 2fb6773ad4ef10d531f978e3ed40f6d99cf1586ec6d7cf2bf7e60fd5d640d082a0946651e0a066993320ffeaace3426066ca24c325926b62125ae91816707128 SHA512 965c3e36e05475d9454af8219b84e080d4c83d775f8a7e20a4951a82246d672c46fd3cb1fff5f8664d0ce8e8fcb846de6f15abc4575db3a6b7d87209194bcecc
diff --git a/dev-python/ipython/ipython-8.20.0.ebuild b/dev-python/ipython/ipython-8.20.0.ebuild
new file mode 100644
index 000000000000..1cc7168afb2d
--- /dev/null
+++ b/dev-python/ipython/ipython-8.20.0.ebuild
@@ -0,0 +1,173 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE='readline(+),sqlite,threads(+)'
+
+inherit distutils-r1 optfeature pypi virtualx
+
+DESCRIPTION="Advanced interactive shell for Python"
+HOMEPAGE="
+ https://ipython.org/
+ https://github.com/ipython/ipython/
+ https://pypi.org/project/ipython/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="doc examples notebook nbconvert qt5 +smp test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/decorator[${PYTHON_USEDEP}]
+ >=dev-python/jedi-0.16[${PYTHON_USEDEP}]
+ dev-python/matplotlib-inline[${PYTHON_USEDEP}]
+ >=dev-python/pexpect-4.3[${PYTHON_USEDEP}]
+ >=dev-python/prompt-toolkit-3.0.41[${PYTHON_USEDEP}]
+ <dev-python/prompt-toolkit-3.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
+ dev-python/stack-data[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/exceptiongroup[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+
+BDEPEND="
+ test? (
+ app-text/dvipng[truetype]
+ >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.23[${PYTHON_USEDEP}]
+ dev-python/matplotlib-inline[${PYTHON_USEDEP}]
+ dev-python/pickleshare[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ )
+ doc? (
+ >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-2[${PYTHON_USEDEP}]
+ dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+RDEPEND+="
+ nbconvert? (
+ dev-python/nbconvert[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ $(python_gen_cond_dep '
+ notebook? (
+ dev-python/notebook[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ dev-python/widgetsnbextension[${PYTHON_USEDEP}]
+ )
+ qt5? ( dev-python/qtconsole[${PYTHON_USEDEP}] )
+ ' 'python*')
+ smp? (
+ >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/ipyparallel-6.2.3[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/2.1.0-substitute-files.patch
+)
+
+python_prepare_all() {
+ # Remove out of date insource files
+ #rm IPython/extensions/cythonmagic.py || die
+ #rm IPython/extensions/rmagic.py || die
+
+ # Prevent un-needed download during build
+ if use doc; then
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
+ fi
+
+ # Rename the test directory to reduce sys.path pollution
+ # https://github.com/ipython/ipython/issues/12892
+ mv IPython/extensions/{,ipython_}tests || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ emake -C docs html_noapi
+ HTML_DOCS=( docs/build/html/. )
+ fi
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local -x IPYTHON_TESTING_TIMEOUT_SCALE=20
+ local EPYTEST_DESELECT=(
+ # TODO: looks to be a regression due to a newer dep
+ IPython/core/tests/test_oinspect.py::test_class_signature
+ IPython/core/tests/test_oinspect.py::test_render_signature_long
+ IPython/terminal/tests/test_shortcuts.py::test_modify_shortcut_with_filters
+ )
+
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # https://github.com/numpy/numpy/issues/25164
+ IPython/lib/tests/test_display.py::TestAudioDataWithoutNumpy
+ )
+ ;;
+ esac
+
+ # nonfatal implied by virtx
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ nonfatal epytest || die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Create ipythonX.Y symlinks.
+ # TODO:
+ # 1. do we want them for pypy? No. pypy has no numpy
+ # 2. handle it in the eclass instead (use _python_ln_rel).
+ # With pypy not an option the dosym becomes unconditional
+ dosym ../lib/python-exec/${EPYTHON}/ipython \
+ /usr/bin/ipython${EPYTHON#python}
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
+
+pkg_postinst() {
+ optfeature "code formatting" dev-python/black
+ optfeature "sympyprinting" dev-python/sympy
+ optfeature "cythonmagic" dev-python/cython
+ optfeature "%lprun magic command" dev-python/line-profiler
+ optfeature "%matplotlib magic command" dev-python/matplotlib-inline
+ optfeature "%mprun magic command" dev-python/memory-profiler
+
+ if use nbconvert; then
+ if ! has_version virtual/pandoc ; then
+ einfo "Node.js will be used to convert notebooks to other formats"
+ einfo "like HTML. Support for that is still experimental. If you"
+ einfo "encounter any problems, please use app-text/pandoc instead."
+ fi
+ fi
+}
diff --git a/dev-python/jupyter-core/Manifest b/dev-python/jupyter-core/Manifest
index 4ce2abe606be..f863456d2023 100644
--- a/dev-python/jupyter-core/Manifest
+++ b/dev-python/jupyter-core/Manifest
@@ -3,9 +3,11 @@ DIST jupyter_core-5.5.1.tar.gz 85962 BLAKE2B a00e96b417d86cc66ac483d031919483ded
DIST jupyter_core-5.6.0.tar.gz 86418 BLAKE2B 70ab01fc13772f772c374a9452f36926f43bf85c6a19108592ce91238df137116f683692a69cbbb2693a87222728b76de0d4b80563bcd5b6d9019aac874e1d91 SHA512 2a2ff1a6ecc12adbd98b1beaea6206f58fe6d24b841102a436ed42106639992454eb4af2515ff268e95749fa01c3352ac1c919bfb053f3ebe22e1d9d9f9e03d3
DIST jupyter_core-5.6.1.tar.gz 86268 BLAKE2B ad9c04813367ae649002dfea236276e98665dab0dc6484939024eba94e4e687defffebb39f95d2ee8f9a2784388a88996f7dee8cbe93331984ac0e5528243d86 SHA512 ba774e0265a0917d64abb2261dac6ea1e9c6cb2d48f0b988367e3f62b5365481f43141a2904535ba5521246f7409f8eee356418e7cb10deb74859125dfcba0f9
DIST jupyter_core-5.7.0.tar.gz 87053 BLAKE2B f84eb30745ddf552e0575ee46519c2734d148f61d026c2e0529827342ca29cdeebe7e5866bf9a0c77b3309236f60c2e2303bd6fbc45ebdd6eef696a81d239f84 SHA512 550587edbb31a4c90f60efffa9236b27a3d4b315056f64f4fe79b4396a9c40c769d6263b3bb01d58d92148db8fc24347f3136c59c4b7ffad8c9fa305623cb387
+DIST jupyter_core-5.7.1.tar.gz 87137 BLAKE2B c1ec5a5fd079b50c12559bb1f5dfd54b43e530142d0062b48b3bbbccf8e560907f8c150206ce5f3b510b89d64ae87e4e81b908aaa7a6a17c3a6775b59fef42fd SHA512 e7042eadc2b3b8254a9a728bb3549c744a74c10cbdcc1dda493a6d2c0a2d9c8496edc2c787c78104f93a871879015d411d5260eda470f7a7d087b5cf5dce44cb
EBUILD jupyter-core-5.5.0.ebuild 999 BLAKE2B 8761d874fb866d45aa80dd6ac15d0afa5c46fd96efb70856b69007f0685a6e7a5ca64b9efb10f6f83f725998df88f6c4b410292b0363af4b379424b74f4e0106 SHA512 8dcb6869de00b0c46b6ed3dedcf7b42765189b83a5d8810f391ca319a86d7179063b773d760756b9509318b49f24db03ae44f29420b8a74cb1dd3c823f3cb0ba
EBUILD jupyter-core-5.5.1.ebuild 1007 BLAKE2B c4310b6694b5e5882d032574551615307f17c849a8f20ce78b65722abaf05128c6469e73727893a5e6b56db1cb5cc353e2bdeeb8b56e28bf04ea657b1252f800 SHA512 22b36acbdd6cbd416d9b32cebfe0c882a7bbc23722d98d62fa711b98facfcebe6bcd00a7bff15f0fd6778895f1a62322000f000bcdeab815aadd60527e502552
EBUILD jupyter-core-5.6.0.ebuild 1007 BLAKE2B c4310b6694b5e5882d032574551615307f17c849a8f20ce78b65722abaf05128c6469e73727893a5e6b56db1cb5cc353e2bdeeb8b56e28bf04ea657b1252f800 SHA512 22b36acbdd6cbd416d9b32cebfe0c882a7bbc23722d98d62fa711b98facfcebe6bcd00a7bff15f0fd6778895f1a62322000f000bcdeab815aadd60527e502552
EBUILD jupyter-core-5.6.1.ebuild 1007 BLAKE2B f62616efb885522e5319e914c7e4de53b04df955d180ec97887706914e2075cc065694a92af392067833fdd65828335d269ea497046c8f15f252e576684a6d91 SHA512 76afc891808ec4845737ae3fc901921b14d6d13422a3241e2bcf7c8ef8a8adfff3ed2e95e89cef4eee8836404224e7bb9ad9a5ec56e0e2745fde0469e52f0408
EBUILD jupyter-core-5.7.0.ebuild 1007 BLAKE2B f62616efb885522e5319e914c7e4de53b04df955d180ec97887706914e2075cc065694a92af392067833fdd65828335d269ea497046c8f15f252e576684a6d91 SHA512 76afc891808ec4845737ae3fc901921b14d6d13422a3241e2bcf7c8ef8a8adfff3ed2e95e89cef4eee8836404224e7bb9ad9a5ec56e0e2745fde0469e52f0408
+EBUILD jupyter-core-5.7.1.ebuild 1007 BLAKE2B f62616efb885522e5319e914c7e4de53b04df955d180ec97887706914e2075cc065694a92af392067833fdd65828335d269ea497046c8f15f252e576684a6d91 SHA512 76afc891808ec4845737ae3fc901921b14d6d13422a3241e2bcf7c8ef8a8adfff3ed2e95e89cef4eee8836404224e7bb9ad9a5ec56e0e2745fde0469e52f0408
MISC metadata.xml 759 BLAKE2B 4ef6a95640943d1b082bb65ae17515300089c6d78c0aa81410f4c7e57e1447787ad15373f314f8ea5c980459f4e5f74ee54edace2eb9421991e2425793040adc SHA512 d9769460a005d11961ebabc81636065aec545166820e923ab7abd58782e0832592a58611ccb4485164ef7c1c646812e8f608fafb9639525663732dec730542f5
diff --git a/dev-python/jupyter-core/jupyter-core-5.7.1.ebuild b/dev-python/jupyter-core/jupyter-core-5.7.1.ebuild
new file mode 100644
index 000000000000..0f5aa60a25ca
--- /dev/null
+++ b/dev-python/jupyter-core/jupyter-core-5.7.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Core common functionality of Jupyter projects"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/jupyter_core/
+ https://pypi.org/project/jupyter-core/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ >=dev-python/platformdirs-2.5[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.11.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/ipython-4.0.1[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/myst-parser \
+ dev-python/pydata-sphinx-theme \
+ dev-python/sphinx-autodoc-typehints \
+ dev-python/sphinxcontrib-github-alt \
+ dev-python/sphinxcontrib-spelling \
+ dev-python/traitlets
+distutils_enable_tests pytest